Subject: Re: [PATCH 2/2] rheap: move rheap.c from arch/powerpc/lib/ to lib/

From: Scott Wood <[email-masked]>
Date: Wed, 8 Jul 2015 13:58:58 -0500

On Wed, 2015-07-08 at 02:25 -0500, Zhao Qiang-B45475 wrote:
> So I will add two func for my use, do you think it is ok?
> I need to align the address of allocated muram.
> And I will set algo = gen_pool_first_fit_align.
> 
> +unsigned long gen_pool_alloc_align(struct gen_pool *pool, size_t size,
> +               unsigned long align)

Again, please explain why you need this for CPM/QE.  I don't see 
rh_alloc_align() currently being used by either.

Also, please stop top-posting.

-Scott